com.r3corda.core.serialization / ImmutableClassSerializer

# ImmutableClassSerializer

`class ImmutableClassSerializer<T : Any>`

Serializes properties and deserializes by using the constructor. This assumes that all backed properties are set via the constructor and the class is immutable.

### Constructors

<init> | `ImmutableClassSerializer(klass: KClass<T>)` Serializes properties and deserializes by using the constructor. This assumes that all backed properties are set via the constructor and the class is immutable.

### Properties

constructor | `val constructor: <ERROR CLASS>`
klass | `val klass: KClass<T>`
props | `val props: <ERROR CLASS>`
propsByName | `val propsByName: <ERROR CLASS>`

### Functions

read | `fun read(kryo: <ERROR CLASS>, input: <ERROR CLASS>, type: Class<T>): T`
write | `fun write(kryo: <ERROR CLASS>, output: <ERROR CLASS>, obj: T): Unit`